void step11 () {

  PFont mono;
  // The font "CourierNewPSMT-18" must be located in the
  // current sketch's "data" directory to load successfully
  mono = createFont("Courier New", 20);
  textFont(mono);

  // Draw 6 ellipeses at the points of the initial hexagon
  float diameter = dist(xLinesToOuterCircle[0], yLinesToOuterCircle[0], xLinesToOuterCircle[2], yLinesToOuterCircle[2] );   // calculate diameter for ellipses

  for (int c=0; c <= 5; c++) {
    if (drawGuideLines) {  // show design lines
      strokeWeight(guideWeight);
      stroke(grrr, gggg, gbbb);

      ellipse(xDesign[c], yDesign[c], diameter, diameter);
      noFill();
    }
  }

  // calculate intersection points from line to circle
  strokeWeight(1);

  circleLineIntersect(xDesign[0], yDesign[0], xDesign[3], yDesign[3], xDesign[0], yDesign[0], diameter, 0, 1, 'C');
  ellipse(xLinesToStep11Circles[0], yLinesToStep11Circles[0], 10, 10);

  circleLineIntersect(xDesign[1], yDesign[1], xDesign[4], yDesign[4], xDesign[1], yDesign[1], diameter, 2, 3, 'C');
  ellipse(xLinesToStep11Circles[2], yLinesToStep11Circles[2], 10, 10);

  circleLineIntersect(xDesign[2], yDesign[2], xDesign[5], yDesign[5], xDesign[2], yDesign[2], diameter, 4, 5, 'C');
  ellipse(xLinesToStep11Circles[4], yLinesToStep11Circles[4], 10, 10);

  circleLineIntersect(xDesign[3], yDesign[3], xDesign[0], yDesign[0], xDesign[3], yDesign[3], diameter, 6, 7, 'C');
  ellipse(xLinesToStep11Circles[6], yLinesToStep11Circles[6], 10, 10);

  circleLineIntersect(xDesign[4], yDesign[4], xDesign[1], yDesign[1], xDesign[4], yDesign[4], diameter, 8, 9, 'C');
  ellipse(xLinesToStep11Circles[8], yLinesToStep11Circles[8], 10, 10);

  circleLineIntersect(xDesign[5], yDesign[5], xDesign[2], yDesign[2], xDesign[5], yDesign[5], diameter, 10, 11, 'C');
  ellipse(xLinesToStep11Circles[10], yLinesToStep11Circles[10], 10, 10);

  // save points for step 12
  xLinesToStep12Circles[5] = xLinesToStep11Circles[10];
  yLinesToStep12Circles[5] = yLinesToStep11Circles[10];
  xLinesToStep12Circles[4] = xLinesToStep11Circles[8];
  yLinesToStep12Circles[4] = yLinesToStep11Circles[8];
  xLinesToStep12Circles[3] = xLinesToStep11Circles[6];
  yLinesToStep12Circles[3] = yLinesToStep11Circles[6];
  xLinesToStep12Circles[2] = xLinesToStep11Circles[4];
  yLinesToStep12Circles[2] = yLinesToStep11Circles[4];
  xLinesToStep12Circles[1] = xLinesToStep11Circles[2];
  yLinesToStep12Circles[1] = yLinesToStep11Circles[2];
  xLinesToStep12Circles[0] = xLinesToStep11Circles[0];
  yLinesToStep12Circles[0] = yLinesToStep11Circles[0];


  fill(255, 0, 255); // magenta
  if (numberGuidePoints) { //numberGuidePoints

    for (int n = 0; n < 6; n++) {
      text(n, xLinesToStep12Circles[n] + xOffset, yLinesToStep12Circles[n] + yOffset);
    }
  }
}
